Summary: Associate a combination of keys or mouse buttons with a shell command
Summary(de): Belegen von Tastenkombinationen oder Mausknöpfen mit einem Shellbefehl
Name:		xbindkeys
Version:	1.8.7
Release:	%mkrel 1
URL:		http://freshmeat.net/projects/xbindkeys/
License: 	GPL
Group:  	System/X11
Source0:    	%{name}-%{version}.tar.xz
Source1:	xbindkeys.desktop
Source2:	xbindkeysrc   
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  libguile-devel
Provides:  	xbindkeys
Requires:  	/bin/sh 
Requires:  	tcl
Requires:	xautomation
Obsoletes:	%name < %version
Conflicts:	imwheel

%description
xbindkeys is a program that allows you to launch shell commands with
your keyboard or your mouse under the X Window System. It links commands
to keys or mouse buttons, using a configuration file. It's independent of
the window manager and can capture all keyboard keys (ex: Power, Wake...).

It optionally supports a guile-based configuration file layout, which enables
you to access all xbindkeys internals, so you can have key combinations, double
clicks or timed double clicks take actions. Also all functions that work in guile
will work for xbindkeys. 

%description -l de
Das Programm xbindkeys ermöglicht es Ihnen, unter X Shell-Befehle mit Ihrer Tastatur
oder Maus auszuführen. Es verbindet mittels einer Konfigurationsdatei Befehle mit
Tasten oder Mausknöpfen. xbindkeys ist vom Fenstermanager unabhängig und kann alle
Tasten der Tastatur abfangen (Ausnahmen: Ein-/Ausschalter, Aufwachen ...).

Optional wird ein auf guile basierender Aufbau der Konfigurationsdatei unterstützt.
Das ermöglicht den Zugriff auf alle Interna von xbindkeys. So können
Tastenkombinationen, Doppelklicks und Doppelklicks mit festgelegten Intervallen
Aktionen auslösen. Auch wird alles, was mit guile funktioniert, auch mit xbindkeys
klappen.

%prep

%setup -q -n %{name}-%{version}

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

# Add missing doc pages
mkdir -p %{buildroot}%{_docdir}/xbindkeys
install -m 644 NEWS INSTALL ChangeLog README COPYING AUTHORS TODO BUGS %{buildroot}%{_docdir}/xbindkeys

mkdir -p %{buildroot}/%_datadir/autostart
install -m 0644 %SOURCE1 %{buildroot}/%_datadir/autostart/xbindkeys.desktop

mkdir -p %{buildroot}/%_datadir/xbindkeys
install -m 0644 %SOURCE2 %{buildroot}/%_datadir/xbindkeys/xbindkeysrc

mkdir -p %{buildroot}/etc/skel
install -m 0644 %SOURCE2 %{buildroot}/etc/skel/.xbindkeysrc

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= cp -af /usr/share/xbindkeys/xbindkeysrc /home/$idx/.xbindkeysrc; done

SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.xbindkeysrc; done



%files
%defattr(-, root, root)
%{_bindir}/xbindkeys
%{_bindir}/xbindkeys_show
%{_datadir}/man/man1/xbindkeys.1.bz2
%{_datadir}/man/man1/xbindkeys_show.1.bz2
%{_docdir}/%{name}
%{_datadir}/autostart/xbindkeys.desktop
%{_datadir}/xbindkeys/xbindkeysrc
%{_sysconfdir}/skel/.xbindkeysrc


%changelog
* Wed Aug 12 2020 tex - 1.8.7-1pclos2020
- new version

* Thu Jul 23 2015 ghostbunny <ghostbunny at gmx dot de> 1.8.6-1pclos2015
- 1.8.6

* Mon Mar 10 2014 bb <bb> 1.8.5-2pclos2014
- rebuild against updated gmp library

* Sun Jun 26 2011 Texstar <texstar at gmail.com> 1.8.5-1pclos2011
- 1.8.5

* Wed Dec 08 2010 Texstar <texstar at gmail.com> 1.8.4-1pclos2010
- 1.8.4

* Tue Mar 23 2010 Texstar <texstar at gmail.com> 1.8.3-4pclos2010
- fix xterm tied to f key

* Thu Mar 11 2010 Texstar <texstar at gmail.com> 1.8.3-3pclos2010
- add dependency on xautomation and conflict to imwheel
- add post script installation

* Sun Nov 08 2009 Leiche <MeissSW01@aol.com> 1.8.3-2pclos2010
- add missing dependency tcl

* Sun Nov 08 2009 Leiche <MeissSW01@aol.com> 1.8.3-1pclos2010
- first build

